Get Draft

**CLI:** ```bash agentmail pods:drafts get --pod-id <pod_id> --draft-id <draft_id> ```

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pod_idstringRequired
ID of pod.
draft_idstringRequired
ID of draft.

Response

This endpoint returns an object.
inbox_idstring
The ID of the inbox.
draft_idstring
ID of draft.
labelslist of strings
Labels of draft.
updated_atdatetime
Time at which draft was last updated.
created_atdatetime
Time at which draft was created.
client_idstringOptional
Client ID of draft.
reply_tolist of stringsOptional

Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.

tolist of stringsOptional

Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.

cclist of stringsOptional

Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.

bcclist of stringsOptional

Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.

subjectstringOptional
Subject of draft.
previewstringOptional
Text preview of draft.
textstringOptional
Plain text body of draft.
htmlstringOptional
HTML body of draft.
attachmentslist of objectsOptional
Attachments in draft.
in_reply_tostringOptional
ID of message being replied to.
forward_ofstringOptional
ID of message being forwarded.
referenceslist of stringsOptional
IDs of previous messages in thread.
send_statusenumOptional
Schedule send status of draft.
send_atdatetimeOptional
Time at which to schedule send draft.

Errors

404
Not Found Error